<!doctype html>
<html>
<head>
	<meta charset="UTF-8">
	<title>Propiedad grid</title>
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<style>
		h1{text-align:center;}
		strong{ color: darkblue; font-weight: bold;}
		em{ color: red; font-weight: bold;}
	.grid-container{
		display: grid;
		/* 1. Indica grid-column-gap: 50px; para modificar el espaciado entre columnas */
		grid-column-gap: 50px;
		grid-template-columns: auto auto auto;
		background-color: rgba(0,93,99,1.00);
		padding: 10px;
	}
	.grid-container2{
		
		display: grid;
		/* 2. Indica grid-row-gap: 50px; para modificar el espaciado entre celdas */
		grid-row-gap: 50px;
		grid-template-columns: auto auto auto;
		background-color: rgba(0,59,131,1.00);
		padding: 10px;
	}

	.grid-container3{

		display: grid;
		/* 3. Indica ahora espacio entre columnas y filas en una sola declaración con grid-gap: 50px 100px;*/
		grid-gap: 50px 100px;
		grid-template-columns: auto auto auto;
		background-color:  rgba(0,141,119,1.00);
		padding: 10px;

	}
		
	.grid-item {
		color: darkblue;
		background-color: rgba(255, 255, 255, 0.6);
		border: 1px solid rgba(0, 0, 0, 0.2);
		padding: 20px;
		font-size: 30px;
		text-align: center;
	}
		
	</style>
</head>
<body>

	<h1>Modalidades para grid</h1>

	<p>El grid es divisible con<strong> columns, rows</strong> y <strong>gap</strong></p>

	<p>Ejemplo  usando <em>grid-column-gap: 50px;</em> sobre los <strong>grid items.</strong></p>

		<div class="grid-container">
			<div class="grid-item">A</div>
			<div class="grid-item">B</div>
			<div class="grid-item">C</div>  
			<div class="grid-item">D</div>
			<div class="grid-item">E</div>
			<div class="grid-item">F</div>  
			<div class="grid-item">G</div>
			<div class="grid-item">H</div>
			<div class="grid-item">I</div>  
		</div>
		<p>Ejemplo usando <em>grid-row-gap: 50px;</em> sobre los <strong>grid items.</strong></p>
		<div class="grid-container2">
				<div class="grid-item">A</div>
			<div class="grid-item">B</div>
			<div class="grid-item">C</div>  
			<div class="grid-item">D</div>
			<div class="grid-item">E</div>
			<div class="grid-item">F</div>  
			<div class="grid-item">G</div>
			<div class="grid-item">H</div>
			<div class="grid-item">I</div>  
		</div>
		<p>Ejemplo con usando <em>grid-gap: 50px 100px;</em> sobre los <strong>grid items.</strong></p>
	<div class="grid-container3">
		<div class="grid-item">A</div>
			<div class="grid-item">B</div>
			<div class="grid-item">C</div>  
			<div class="grid-item">D</div>
			<div class="grid-item">E</div>
			<div class="grid-item">F</div>  
			<div class="grid-item">G</div>
			<div class="grid-item">H</div>
			<div class="grid-item">I</div>  
		</div>

</body>
</html>
